Bug 106371 - Android: Add ability to Insert and manipulate tables (Writer, Impress documents)
Summary: Android: Add ability to Insert and manipulate tables (Writer, Impress documents)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-06 20:43 UTC by Tomaz Vajngerl
Modified: 2018-07-08 14:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-06 20:43:37 UTC
Description:
Inserting a table is missing. Add the ability to insert a new table and to manipulate the table (add/delete rows/columns, merge cells)

Related UNO commands:
Insert table with ".uno:InsertTable" with parameters
{
  'Columns': { 'type': 'long', 'value': 6 },
  'Rows': { 'type': "long", 'value': 10 }
}

Delete Table: ".uno:DeleteTable"
    
Delete Columns / Rows: ".uno:DeleteColumns" and ".uno:DeleteRows"

Insert Columns / Rows: ".uno:InsertColumns" and ".uno:InsertRows"

This task also needs modifying the UI - specifically add the actions to the bottom tool bar.

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Atef Hares 2017-03-17 01:18:25 UTC
I am working on this now.

Isn't there icons for table options like:

- insert/delete table
- insert/delete row above/blew
- insert/delete column right/left

Also What are the UNO commands to select inserting (rows) above or blew and (columns) right or left?
Comment 2 Xisco Faulí 2017-07-13 10:34:32 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 3 Commit Notification 2018-06-01 02:30:45 UTC
Mert Tümer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea62d02cedd7b6c90ebcb0ce73e30dc6ddd342c8

[Pardus] tdf#106371 ability to insert/delete tables Android Viewer

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-07-02 22:35:29 UTC
A polite ping to Mert Tümer:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks